Subject: git fetch -- double fetch

From: Andy Whitcroft <[email-masked]>
Date: Sat, 6 Oct 2007 19:57:59 +0100

I have recently been seeing repeated fetching of some branches.  I feel
this has happened in at least three of my repos on three distinct
projects:

apw@pinky$ git fetch origin
remote: Generating pack...
remote: Done counting 5 objects.
remote: Deltifying 5 objects...
remote:  100% (5/5) done
Unpacking 5 objects...
remote: Total 5 (delta 0), reused 0 (delta 0)
 100% (5/5) done
* refs/remotes/origin/master: fast forward to branch 'master' of ssh://git@abat-dev/var/www/git/abat
  old..new: ce046f0..41c9dde
* refs/remotes/origin/master: fast forward to branch 'master' of ssh://git@abat-dev/var/www/git/abat
  old..new: ce046f0..41c9dde
error: Ref refs/remotes/origin/master is at 41c9dde2e63f35cd7c64b0a52c3650f246999ffd but expected ce046f04172a2a216092936302ab2cb4da64b69e
apw@pinky$

This is with a 'next' a couple of days old:

apw@pinky$ git --version
git version 1.5.3.3.1145.g46930-dirty
apw@pinky$

Will be upgrading to the latest next, will let you know if I see it again.

-apw